Subject: Re: bug#26802: Single source file emacs packages get a ".el.el" extension

From: Arun Isaac <[email-masked]>
Date: Mon, 15 May 2017 18:58:29 +0530

> I'm not sure, I think:
>
> - it's too much for all the sources, as the upstream source may not
> contain a version in the file name at all.  Do we really want to raise a
> warning in this case?

> - and it's not enough for ".el" sources, I mean "something-version.el"
> is not enough, as the file name must exactly be "name-version.el" (as it
> is with ELPA single-filed sources), so the emacs-build-system will
> output "name.el" file which will correspond to 'name' feature provided
> by this file.

You have a point, but...

If all packages cannot be expected to have "name-version", then it is
unreasonable and arbitrary to only expect single source file emacs
packages to have a filename of this format. Instead, the emacs build
system should be made more robust so that it can tolerate a souce file
name like "web-mode.el" and still produce the correct installation path.